QGIS Application - Bug report #17764
WMS Server Search completely outdated
2017-12-30 08:32 PM - Bernd Vogelgesang

Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:3.7(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25660
Description

In the dialog for adding WMS layers, there is a server search tab.
The search is performed trough a service by geopole.org which is run (or not) by sourcepole.
For years it seems, nothing happend to this search mechanism.

Try yourself: Fill in "bayern” into the field for searching layers connected to my home state Bavaria.
The search finds 10 layers. 2 of them are duplicates, so 8 remain.

For these 8 layers, only a single WMS layer is in fact loadable (And of no use at all)

As this service is not usable, it is quite useless, so | would suggest to remove the tab to put an end to this shameful situation.

History

#1 - 2017-12-31 05:13 PM - Richard Duivenvoorde

Hi Bernd,

Please be gentle in your wording, even if you think something has no value (anymore) Sourcepole has provided this free service for a long time. But | agree
that the server results are (at least for me) not very valuable anymore. Maybe Pirmin can shine some light over the valuability of the service and servers in
it?

If they offer this service to certain customers (I see german umwelt layers etc), maybe we can make it a configurable option?

If it is just a relict from old times, we could maybe remove it. | think that nowadays, it is also easier to search for wms/owc services by using the

MetaSearch plugin to search in national catalog services.

Pirmin? What do you think?

#2 - 2017-12-31 05:16 PM - Richard Duivenvoorde

Some related issues:

https://issues.qgis.org/projects/qgis/search?utf8=%E2%9C%93&#38;q0=%22server+search%22&#38;scope=&#38;all_words=&#38;all _words=1&#38;tit|
s_only=&#38;issues=1&#38;commit=Submit

#3 - 2018-01-01 10:09 AM - Nyall Dawson

Should this be raised on the dev list for discussion?
#4 - 2018-01-01 12:19 PM - Bernd Vogelgesang

Richard Duivenvoorde wrote:
Hi Bernd,
Please be gentle in your wording, even if you think something has no value (anymore) Sourcepole has provided this free service for a long time. But
| agree that the server results are (at least for me) not very valuable anymore. Maybe Pirmin can shine some light over the valuability of the service
and servers in it?

Sorry, had a headache this day.
If they offer this service to certain customers (I see german umwelt layers etc), maybe we can make it a configurable option?
If it is just a relict from old times, we could maybe remove it. | think that nowadays, it is also easier to search for wms/owc services by using the

MetaSearch plugin to search in national catalog services.

| am just wondering how this could be overlooked for so many years. I'm just preparing a QGIS-course, so i stumbled up it again. What should | tell those
users: "There is a possibility to find data for you to start working with, but it's outdated for at least 5 years" ?

Well, if there was a national catalog for Germany in MetaSearch, | would happily use it.

And | would be happy to bring in as many URLSs as possible for a catalog, if | only knew how to contribute.

Pirmin? What do you think?

#5 - 2018-01-02 08:47 AM - Harrissou Santanna

And | would be happy to bring in as many URLs as possible for a catalog, if | only knew how to contribute.

| guess it might consist on adding the links to https://github.com/qgis/QGIS/blob/master/python/plugins/MetaSearch/resources/connections-default.xml

file. See https:/github.com/qgis/QGIS/pull/3515/files for example.

#6 - 2018-01-02 09:57 PM - Pirmin Kalberer

Some background information:

geopole.org is a CSW server with an OpenSearch API. The WMS search URL is a QGIS configuration option (Options->Network).

The catalog didn't get many updates since years. When we get a list from users, we usually add these servers.

As Richards says, the MetaSearch plugin is the "new" way to find OGC services. So maybe we should replace the WMS search with a hint for using the
MetaSearch plugin.

#7 - 2018-01-02 11:57 PM - Nyall Dawson

My suggestion:

1. Remove the geopole server address from the "WMS search address" setting in the default install, so that the default server here becomes blank
2. Hide the "Server Search" tab if no "WMS search address" is set.

So by default the tab will be hidden, and users will need to enter their own preferred search server in the settings in order for the tab to be visible. This
would allow enterprise installs to still utilise this functionality to allow their users to search via preferred (or internal) servers, while avoiding the original
issue that the geopole server is of limited use outside certain geographic areas. Of course, users who rely on the geopole server can just re-enter the
geopole address for this setting.

Thoughts?

#8 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#9 - 2019-03-01 02:04 PM - Bernd Vogelgesang

Tested with 3.4.4. Situation did not change.

#10 - 2019-03-01 07:13 PM - Giovanni Manghi
- Affected QGIS version changed from 2.18.14 to 3.7(master)
- Status changed from Feedback to Open
